/desktop-store-entities-post-one

Summary

  • Source repository: jef-systems/jef-desktop-store-backend

  • Source SHA: 6c02435a10af3f8e3dcfdc041b2c18477b0bc921

  • Source run id: 28366763613

  • Lambda function: jef-desktop-store-post-002

  • HTTP method: POST

  • API path: /desktop-store-entities-post-one

  • Endpoint URL: https://u91anelyve.execute-api.ap-southeast-1.amazonaws.com/prod/desktop-store-entities-post-one

  • Payload mode: json-body

Description

Function

jef-desktop-store-post-002 Logical ID: jef-desktop-store:jef-desktop-store-entities:post-one Order Number: 001

Module

jef-desktop-store

Action

post-one

Method

POST

Invocation Mode

ASYNC

Resource Path

/desktop-store-entities-post-one Endpoint Name: jef-desktop-store-entities-post-one

Table

jef-desktop-store-entities

Primary Key

entity_id

API Gateway Response

status\_code

202

message

Request accepted for asynchronous processing.

Payload Example

entity\_id

b79cbb76-b092-4c37-b63b-eaa658a636d6

entity\_number

value-001

entity\_name

Sample Name

entity\_type

value-001

is\_active

True

idempotency\_key

value-001

created

2026-06-29T10:50:43Z

updated

2026-06-29T10:50:43Z

children.jef-desktop-store-allowed-applications\[0\].allowed\_application\_id

8e22054f-f8e7-4ead-8ab9-ff8e14a6b248

children.jef-desktop-store-allowed-applications\[0\].application\_id

2ccc3093-0ba7-4605-a102-15c641e8dd9f

children.jef-desktop-store-allowed-applications\[0\].entity\_id

b79cbb76-b092-4c37-b63b-eaa658a636d6

children.jef-desktop-store-allowed-applications\[0\].entity\_number

value-001

children.jef-desktop-store-allowed-applications\[0\].application\_name

Sample Name

children.jef-desktop-store-allowed-applications\[0\].is\_active

True

children.jef-desktop-store-allowed-applications\[0\].idempotency\_key

value-001

children.jef-desktop-store-allowed-applications\[0\].created

2026-06-29T10:50:43Z

children.jef-desktop-store-allowed-applications\[0\].updated

2026-06-29T10:50:43Z

children.jef-desktop-store-download-history\[0\].download\_history\_id

8a902e2f-4553-4bd0-a6ac-3ebe9619c1df

children.jef-desktop-store-download-history\[0\].application\_id

ad7b7a4b-ff23-4834-a051-6665920be6c4

children.jef-desktop-store-download-history\[0\].entity\_id

b79cbb76-b092-4c37-b63b-eaa658a636d6

children.jef-desktop-store-download-history\[0\].entity\_number

value-001

children.jef-desktop-store-download-history\[0\].application\_name

Sample Name

children.jef-desktop-store-download-history\[0\].version

value-001

children.jef-desktop-store-download-history\[0\].download\_status

value-001

children.jef-desktop-store-download-history\[0\].device\_name

Sample Name

children.jef-desktop-store-download-history\[0\].is\_active

True

children.jef-desktop-store-download-history\[0\].idempotency\_key

value-001

children.jef-desktop-store-download-history\[0\].created

2026-06-29T10:50:43Z

children.jef-desktop-store-download-history\[0\].updated

2026-06-29T10:50:43Z

Payload Schema

{
  "type": "object",
  "additionalProperties": "False",
  "payload_mode": "parent-plus-children-wrapper",
  "allow_children_wrapper": "True",
  "children_wrapper_field": "children",
  "allow_batch": "False",
  "table": "jef-desktop-store-entities",
  "primary_key": "entity_id",
  "required[0]": "entity_number",
  "required[1]": "entity_name",
  "required[2]": "entity_type",
  "required[3]": "idempotency_key",
  "properties.entity_id.field": "entity_id",
  "properties.entity_id.type": "S",
  "properties.entity_id.required": "False",
  "properties.entity_id.source_required": "True",
  "properties.entity_id.server_generated": "True",
  "properties.entity_id.autogenerated": "False",
  "properties.entity_id.frontend_autocomputed": "False",
  "properties.entity_id.format": "uuidv4",
  "properties.entity_id.regex": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
  "properties.entity_number.field": "entity_number",
  "properties.entity_number.type": "S",
  "properties.entity_number.required": "True",
  "properties.entity_number.source_required": "True",
  "properties.entity_number.server_generated": "False",
  "properties.entity_number.autogenerated": "False",
  "properties.entity_number.frontend_autocomputed": "False",
  "properties.entity_number.regex": "^[0-9]{4}$",
  "properties.entity_name.field": "entity_name",
  "properties.entity_name.type": "S",
  "properties.entity_name.required": "True",
  "properties.entity_name.source_required": "True",
  "properties.entity_name.server_generated": "False",
  "properties.entity_name.autogenerated": "False",
  "properties.entity_name.frontend_autocomputed": "False",
  "properties.entity_name.regex": "^[A-Za-z0-9 ._-]{1,120}$",
  "properties.entity_type.field": "entity_type",
  "properties.entity_type.type": "S",
  "properties.entity_type.required": "True",
  "properties.entity_type.source_required": "True",
  "properties.entity_type.server_generated": "False",
  "properties.entity_type.autogenerated": "False",
  "properties.entity_type.frontend_autocomputed": "False",
  "properties.entity_type.regex": "^(store|company|branch|organization)$",
  "properties.is_active.field": "is_active",
  "properties.is_active.type": "BOOL",
  "properties.is_active.required": "False",
  "properties.is_active.source_required": "True",
  "properties.is_active.server_generated": "False",
  "properties.is_active.autogenerated": "False",
  "properties.is_active.frontend_autocomputed": "False",
  "properties.is_active.regex": "^(true|false)$",
  "properties.idempotency_key.field": "idempotency_key",
  "properties.idempotency_key.type": "S",
  "properties.idempotency_key.required": "True",
  "properties.idempotency_key.source_required": "True",
  "properties.idempotency_key.server_generated": "False",
  "properties.idempotency_key.autogenerated": "False",
  "properties.idempotency_key.frontend_autocomputed": "False",
  "properties.idempotency_key.regex": "^[A-Za-z0-9._:-]{1,160}$",
  "properties.created.field": "created",
  "properties.created.type": "S",
  "properties.created.required": "False",
  "properties.created.source_required": "True",
  "properties.created.server_generated": "True",
  "properties.created.autogenerated": "False",
  "properties.created.frontend_autocomputed": "False",
  "properties.created.format": "iso8601",
  "properties.created.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
  "properties.updated.field": "updated",
  "properties.updated.type": "S",
  "properties.updated.required": "False",
  "properties.updated.source_required": "True",
  "properties.updated.server_generated": "True",
  "properties.updated.autogenerated": "False",
  "properties.updated.frontend_autocomputed": "False",
  "properties.updated.format": "iso8601",
  "properties.updated.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
  "children[0].parent_table": "jef-desktop-store-entities",
  "children[0].child_table": "jef-desktop-store-allowed-applications",
  "children[0].parent_key": "entity_id",
  "children[0].child_foreign_key": "entity_id",
  "children[0].child_index_name": "gsi_1",
  "children[0].child_index_key": "gsi_1_pk",
  "children[0].aliases[0]": "jef-desktop-store-allowed-applications",
  "children[0].aliases[1]": "allowed-applications",
  "children[0].aliases[2]": "desktop-store-allowed-applications",
  "children[0].aliases[3]": "jef_desktop_store_allowed_applications",
  "children[0].aliases[4]": "allowed_applications",
  "children[0].aliases[5]": "desktop_store_allowed_applications",
  "children[0].aliases[6]": "applications",
  "children[1].parent_table": "jef-desktop-store-entities",
  "children[1].child_table": "jef-desktop-store-download-history",
  "children[1].parent_key": "entity_id",
  "children[1].child_foreign_key": "entity_id",
  "children[1].child_index_name": "gsi_1",
  "children[1].child_index_key": "gsi_1_pk",
  "children[1].aliases[0]": "jef-desktop-store-download-history",
  "children[1].aliases[1]": "download-history",
  "children[1].aliases[2]": "desktop-store-download-history",
  "children[1].aliases[3]": "jef_desktop_store_download_history",
  "children[1].aliases[4]": "download_history",
  "children[1].aliases[5]": "desktop_store_download_history",
  "children[1].aliases[6]": "history",
  "root.type": "object",
  "root.attributes.entity_id.field": "entity_id",
  "root.attributes.entity_id.type": "S",
  "root.attributes.entity_id.required": "False",
  "root.attributes.entity_id.source_required": "True",
  "root.attributes.entity_id.server_generated": "True",
  "root.attributes.entity_id.autogenerated": "False",
  "root.attributes.entity_id.frontend_autocomputed": "False",
  "root.attributes.entity_id.format": "uuidv4",
  "root.attributes.entity_id.regex": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
  "root.attributes.entity_number.field": "entity_number",
  "root.attributes.entity_number.type": "S",
  "root.attributes.entity_number.required": "True",
  "root.attributes.entity_number.source_required": "True",
  "root.attributes.entity_number.server_generated": "False",
  "root.attributes.entity_number.autogenerated": "False",
  "root.attributes.entity_number.frontend_autocomputed": "False",
  "root.attributes.entity_number.regex": "^[0-9]{4}$",
  "root.attributes.entity_name.field": "entity_name",
  "root.attributes.entity_name.type": "S",
  "root.attributes.entity_name.required": "True",
  "root.attributes.entity_name.source_required": "True",
  "root.attributes.entity_name.server_generated": "False",
  "root.attributes.entity_name.autogenerated": "False",
  "root.attributes.entity_name.frontend_autocomputed": "False",
  "root.attributes.entity_name.regex": "^[A-Za-z0-9 ._-]{1,120}$",
  "root.attributes.entity_type.field": "entity_type",
  "root.attributes.entity_type.type": "S",
  "root.attributes.entity_type.required": "True",
  "root.attributes.entity_type.source_required": "True",
  "root.attributes.entity_type.server_generated": "False",
  "root.attributes.entity_type.autogenerated": "False",
  "root.attributes.entity_type.frontend_autocomputed": "False",
  "root.attributes.entity_type.regex": "^(store|company|branch|organization)$",
  "root.attributes.is_active.field": "is_active",
  "root.attributes.is_active.type": "BOOL",
  "root.attributes.is_active.required": "False",
  "root.attributes.is_active.source_required": "True",
  "root.attributes.is_active.server_generated": "False",
  "root.attributes.is_active.autogenerated": "False",
  "root.attributes.is_active.frontend_autocomputed": "False",
  "root.attributes.is_active.regex": "^(true|false)$",
  "root.attributes.idempotency_key.field": "idempotency_key",
  "root.attributes.idempotency_key.type": "S",
  "root.attributes.idempotency_key.required": "True",
  "root.attributes.idempotency_key.source_required": "True",
  "root.attributes.idempotency_key.server_generated": "False",
  "root.attributes.idempotency_key.autogenerated": "False",
  "root.attributes.idempotency_key.frontend_autocomputed": "False",
  "root.attributes.idempotency_key.regex": "^[A-Za-z0-9._:-]{1,160}$",
  "root.attributes.created.field": "created",
  "root.attributes.created.type": "S",
  "root.attributes.created.required": "False",
  "root.attributes.created.source_required": "True",
  "root.attributes.created.server_generated": "True",
  "root.attributes.created.autogenerated": "False",
  "root.attributes.created.frontend_autocomputed": "False",
  "root.attributes.created.format": "iso8601",
  "root.attributes.created.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
  "root.attributes.updated.field": "updated",
  "root.attributes.updated.type": "S",
  "root.attributes.updated.required": "False",
  "root.attributes.updated.source_required": "True",
  "root.attributes.updated.server_generated": "True",
  "root.attributes.updated.autogenerated": "False",
  "root.attributes.updated.frontend_autocomputed": "False",
  "root.attributes.updated.format": "iso8601",
  "root.attributes.updated.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$"
}

Response Schema

{
  "type": "object",
  "properties.ok.type": "boolean",
  "properties.accepted.type": "boolean",
  "properties.is_committed.type": "boolean",
  "properties.request_id.type": "string",
  "properties.message.type": "string",
  "properties.table.type": "string",
  "properties.operation.type": "string",
  "properties.primary_key.type": "string",
  "properties.primary_key_value.type": "string",
  "properties.item_write_count.type": "number",
  "properties.child_write_count.type": "number"
}

Request Payload

{
  "entity_id": "b79cbb76-b092-4c37-b63b-eaa658a636d6",
  "entity_number": "value-001",
  "entity_name": "Sample Name",
  "entity_type": "value-001",
  "is_active": "True",
  "idempotency_key": "value-001",
  "created": "2026-06-29T10:50:43Z",
  "updated": "2026-06-29T10:50:43Z",
  "children.jef-desktop-store-allowed-applications[0].allowed_application_id": "8e22054f-f8e7-4ead-8ab9-ff8e14a6b248",
  "children.jef-desktop-store-allowed-applications[0].application_id": "2ccc3093-0ba7-4605-a102-15c641e8dd9f",
  "children.jef-desktop-store-allowed-applications[0].entity_id": "b79cbb76-b092-4c37-b63b-eaa658a636d6",
  "children.jef-desktop-store-allowed-applications[0].entity_number": "value-001",
  "children.jef-desktop-store-allowed-applications[0].application_name": "Sample Name",
  "children.jef-desktop-store-allowed-applications[0].is_active": "True",
  "children.jef-desktop-store-allowed-applications[0].idempotency_key": "value-001",
  "children.jef-desktop-store-allowed-applications[0].created": "2026-06-29T10:50:43Z",
  "children.jef-desktop-store-allowed-applications[0].updated": "2026-06-29T10:50:43Z",
  "children.jef-desktop-store-download-history[0].download_history_id": "8a902e2f-4553-4bd0-a6ac-3ebe9619c1df",
  "children.jef-desktop-store-download-history[0].application_id": "ad7b7a4b-ff23-4834-a051-6665920be6c4",
  "children.jef-desktop-store-download-history[0].entity_id": "b79cbb76-b092-4c37-b63b-eaa658a636d6",
  "children.jef-desktop-store-download-history[0].entity_number": "value-001",
  "children.jef-desktop-store-download-history[0].application_name": "Sample Name",
  "children.jef-desktop-store-download-history[0].version": "value-001",
  "children.jef-desktop-store-download-history[0].download_status": "value-001",
  "children.jef-desktop-store-download-history[0].device_name": "Sample Name",
  "children.jef-desktop-store-download-history[0].is_active": "True",
  "children.jef-desktop-store-download-history[0].idempotency_key": "value-001",
  "children.jef-desktop-store-download-history[0].created": "2026-06-29T10:50:43Z",
  "children.jef-desktop-store-download-history[0].updated": "2026-06-29T10:50:43Z"
}

Response

{
  "type": "object",
  "properties.ok.type": "boolean",
  "properties.accepted.type": "boolean",
  "properties.is_committed.type": "boolean",
  "properties.request_id.type": "string",
  "properties.message.type": "string",
  "properties.table.type": "string",
  "properties.operation.type": "string",
  "properties.primary_key.type": "string",
  "properties.primary_key_value.type": "string",
  "properties.item_write_count.type": "number",
  "properties.child_write_count.type": "number"
}

CMD curl

curl -X POST "https://u91anelyve.execute-api.ap-southeast-1.amazonaws.com/prod/desktop-store-entities-post-one" -H "Content-Type: application/json" --data-raw "{\"entity_id\": \"b79cbb76-b092-4c37-b63b-eaa658a636d6\", \"entity_number\": \"value-001\", \"entity_name\": \"Sample Name\", \"entity_type\": \"value-001\", \"is_active\": true, \"idempotency_key\": \"value-001\", \"created\": \"2026-06-29T10:50:43Z\", \"updated\": \"2026-06-29T10:50:43Z\", \"children\": {\"jef-desktop-store-allowed-applications\": [{\"allowed_application_id\": \"8e22054f-f8e7-4ead-8ab9-ff8e14a6b248\", \"application_id\": \"2ccc3093-0ba7-4605-a102-15c641e8dd9f\", \"entity_id\": \"b79cbb76-b092-4c37-b63b-eaa658a636d6\", \"entity_number\": \"value-001\", \"application_name\": \"Sample Name\", \"is_active\": true, \"idempotency_key\": \"value-001\", \"created\": \"2026-06-29T10:50:43Z\", \"updated\": \"2026-06-29T10:50:43Z\"}], \"jef-desktop-store-download-history\": [{\"download_history_id\": \"8a902e2f-4553-4bd0-a6ac-3ebe9619c1df\", \"application_id\": \"ad7b7a4b-ff23-4834-a051-6665920be6c4\", \"entity_id\": \"b79cbb76-b092-4c37-b63b-eaa658a636d6\", \"entity_number\": \"value-001\", \"application_name\": \"Sample Name\", \"version\": \"value-001\", \"download_status\": \"value-001\", \"device_name\": \"Sample Name\", \"is_active\": true, \"idempotency_key\": \"value-001\", \"created\": \"2026-06-29T10:50:43Z\", \"updated\": \"2026-06-29T10:50:43Z\"}]}}"

PowerShell curl

curl.exe -X POST "https://u91anelyve.execute-api.ap-southeast-1.amazonaws.com/prod/desktop-store-entities-post-one" -H "Content-Type: application/json" --data-raw '{"entity_id": "b79cbb76-b092-4c37-b63b-eaa658a636d6", "entity_number": "value-001", "entity_name": "Sample Name", "entity_type": "value-001", "is_active": true, "idempotency_key": "value-001", "created": "2026-06-29T10:50:43Z", "updated": "2026-06-29T10:50:43Z", "children": {"jef-desktop-store-allowed-applications": [{"allowed_application_id": "8e22054f-f8e7-4ead-8ab9-ff8e14a6b248", "application_id": "2ccc3093-0ba7-4605-a102-15c641e8dd9f", "entity_id": "b79cbb76-b092-4c37-b63b-eaa658a636d6", "entity_number": "value-001", "application_name": "Sample Name", "is_active": true, "idempotency_key": "value-001", "created": "2026-06-29T10:50:43Z", "updated": "2026-06-29T10:50:43Z"}], "jef-desktop-store-download-history": [{"download_history_id": "8a902e2f-4553-4bd0-a6ac-3ebe9619c1df", "application_id": "ad7b7a4b-ff23-4834-a051-6665920be6c4", "entity_id": "b79cbb76-b092-4c37-b63b-eaa658a636d6", "entity_number": "value-001", "application_name": "Sample Name", "version": "value-001", "download_status": "value-001", "device_name": "Sample Name", "is_active": true, "idempotency_key": "value-001", "created": "2026-06-29T10:50:43Z", "updated": "2026-06-29T10:50:43Z"}]}}'